--
-- Copyright (C) 2004 Red Hat Inc. All Rights Reserved.
--
-- The contents of this file are subject to the CCM Public
-- License (the "License"); you may not use this file except in
-- compliance with the License. You may obtain a copy of the
-- License at http://www.redhat.com/licenses/ccmpl.html.
--
-- Software distributed under the License is distributed on an
-- "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
-- or implied. See the License for the specific language governing
-- rights and limitations under the License.
--
-- $Id: //cms/dev/sql/ccm-cms/upgrade/postgres-6.0.1-6.1.0.sql#8 $
-- $DateTime: 2004/04/07 16:07:11 $

\echo Red Hat Enterprise CMS 6.0.1 -> 6.1.0 Upgrade Script (PostgreSQL)

begin;

alter table content_sections drop content_expiration_digest_id;

\i ../postgres/upgrade/6.0.1-6.1.0/denormalize-versioning.sql
\i ../postgres/upgrade/6.0.1-6.1.0/alter-table-authoring_steps.sql
\i ../postgres/upgrade/6.0.1-6.1.0/alter-table-cms_form_item.sql
\i ../postgres/upgrade/6.0.1-6.1.0/insert-new-privileges.sql
\i ../postgres/upgrade/6.0.1-6.1.0/create-cms_user_home_folder_map.sql
\i ../postgres/upgrade/6.0.1-6.1.0/update-cat-authoring.sql
\i ../postgres/upgrade/6.0.1-6.1.0/triggers-cms_items_ancestors.sql
\i ../postgres/upgrade/6.0.1-6.1.0/table-cms_links-auto.sql
\i ../postgres/upgrade/6.0.1-6.1.0/table-cms_published_links-auto.sql
\i ../postgres/upgrade/6.0.1-6.1.0/table-cms_upgrade_item_lifecycle_map-auto.sql
\i ../postgres/upgrade/6.0.1-6.1.0/table-cms_upgrade_item_no_lifecycle-auto.sql
\i ../postgres/upgrade/6.0.1-6.1.0/table-cms_upgrade_progress-auto.sql
\i ../postgres/upgrade/6.0.1-6.1.0/add-mpa-page-break.sql
\i ../postgres/upgrade/6.0.1-6.1.0/fk_to_deferred.sql

create index cms_links_target_item_id_idx on cms_links(target_item_id);
create index cms_pub_links_draft_tgt_idx on cms_published_links(draft_target);
create index cms_pub_links_pending_src_idx on cms_published_links(pending_source);
create index cms_upgrd_itm_lc_mp_lc_id_idx on cms_upgrade_item_lifecycle_map(lifecycle_id);
create index cms_usr_home_fdr_mp_fdr_id_idx on cms_user_home_folder_map(folder_id);
create index cms_usr_home_fdr_mp_sec_id_idx on cms_user_home_folder_map(section_id);
create index cms_usr_home_fdr_mp_usr_id_idx on cms_user_home_folder_map(user_id);

alter table publish_to_fs_files drop constraint publ_to_fs_fil_fil_nam_u_3zkgd;

commit;
